LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 06-27-2014, 05:06 AM   #1
maitanaji
LQ Newbie
 
Registered: Jun 2014
Posts: 19

Rep: Reputation: Disabled
Smile How to solve make command error


Hi friends
How can I solve this error when I run make command:

tools/ranvar.cc:219:70: error: cannot call constructor ‘GammaRandomVariable::GammaRandomVariable’ directly [-fpermissive]
tools/ranvar.cc:219:70: error: for a function-style cast, remove the redundant ‘::GammaRandomVariable’ [-fpermissive]
make: *** [tools/ranvar.o] Error 1


what should I do?
thanks in advanced
 
Old 06-27-2014, 05:10 AM   #2
pan64
LQ Guru
 
Registered: Mar 2012
Location: Hungary
Distribution: debian/ubuntu/suse ...
Posts: 8,503

Rep: Reputation: 2433Reputation: 2433Reputation: 2433Reputation: 2433Reputation: 2433Reputation: 2433Reputation: 2433Reputation: 2433Reputation: 2433Reputation: 2433Reputation: 2433
this is not a make error but a compilation error. without knowing anything else I can only suggest you to give more info. What did you try to build, where is it from?
 
Old 06-27-2014, 05:57 AM   #3
maitanaji
LQ Newbie
 
Registered: Jun 2014
Posts: 19

Original Poster
Rep: Reputation: Disabled
I want to install crcn patch for simulating cognitive radio networks
I followed the steps that are in this site
http://faculty.uml.edu/Tricia_Chigan...stallation.htm
Now I have problem in step 6
other info:
ns2.34
ubuntu 12.04

Last edited by maitanaji; 06-27-2014 at 06:00 AM.
 
Old 06-27-2014, 01:50 PM   #4
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,986

Rep: Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447Reputation: 2447
it looks like a error from trying to build OLD code on a NEW version of gcc

google the ERROR
copy/paste this into google
Code:
error: cannot call constructor ‘GammaRandomVariable::GammaRandomVariable’
then read the posts and use the fix offered

Last edited by John VV; 06-27-2014 at 01:51 PM.
 
Old 06-27-2014, 02:38 PM   #5
maitanaji
LQ Newbie
 
Registered: Jun 2014
Posts: 19

Original Poster
Rep: Reputation: Disabled
Thanks for the response
I noticed crcn patch have been tested in ns-2.31 in linux environnment but the version that I use is 2.34
This error may is cause of differece between versions of ns2
maybe I should install ns-2.31 and remove ns-2.34
If I am wrong,correct me please
 
Old 06-30-2014, 03:17 AM   #6
vikas027
Senior Member
 
Registered: May 2007
Location: Sydney
Distribution: RHEL, CentOS, Debian, OS X
Posts: 1,298

Rep: Reputation: 102Reputation: 102
Quote:
Originally Posted by maitanaji View Post
Thanks for the response
I noticed crcn patch have been tested in ns-2.31 in linux environnment but the version that I use is 2.34
This error may is cause of differece between versions of ns2
maybe I should install ns-2.31 and remove ns-2.34
If I am wrong,correct me please
Yes, you may try that. And if that works do not forget to give the solution here. It would be helpful for others.
 
Old 06-30-2014, 03:31 AM   #7
maitanaji
LQ Newbie
 
Registered: Jun 2014
Posts: 19

Original Poster
Rep: Reputation: Disabled
I installed ns-2.31 and removed ns-2.34
Fortunately now it works on it
if somebody wants to work on cognitive radio networks , should install ns-2.31
because crcn patch is compatible only with version on 2.31
 
Old 06-30-2014, 11:43 PM   #8
vikas027
Senior Member
 
Registered: May 2007
Location: Sydney
Distribution: RHEL, CentOS, Debian, OS X
Posts: 1,298

Rep: Reputation: 102Reputation: 102
Quote:
Originally Posted by maitanaji View Post
I installed ns-2.31 and removed ns-2.34
Fortunately now it works on it
if somebody wants to work on cognitive radio networks , should install ns-2.31
because crcn patch is compatible only with version on 2.31
Glad it worked for you.
 
1 members found this post helpful.
Old 07-03-2014, 07:18 AM   #9
nayanb2k7
LQ Newbie
 
Registered: May 2014
Posts: 28

Rep: Reputation: Disabled
@maitanaji r u working on simulations in CRN using NS2.31 CRCN path.
I am working on CRN simulations.Let me know if u have achieve success in your simulations.
Mail me your simulations if any to nayanb2k7@yahoo.com
Finally, we can upload the code in LQ user groups for other people to explore.
 
1 members found this post helpful.
  


Reply

Tags
crcn, ns2


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
make: CC: Command not found make: *** [main.o] Error 127 on opensuse 11.3 Leo89 Linux - Newbie 6 11-30-2012 06:13 PM
plz solve this problem on make: *** [zaptel.o] Error 1 acbhaskar1 Linux - Server 2 06-22-2011 04:51 AM
help required to solve error = line 3: H: command not found Imtiaz Deen Red Hat 1 07-29-2005 02:01 PM
make: cc: command not found make: *** [gzip.o]error 127 zyjk Linux - Newbie 5 02-08-2002 10:58 AM


All times are GMT -5. The time now is 05:37 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration